Name: otf2bdf
Version: 3.1
Release: 1%{?dist}
License: Freeware
Group: Development/Tools
URL: http://sofia.nmsu.edu/~mleisher/Software/otf2bdf/otf2bdf-3.1.tgz
Vendor: Department of Mathematical Sciences, New Mexico State University
Packager: Franta Hanzlik <franta@hanzlici.cz>
Summary: Utility to generate BDF bitmap fonts from OpenType outline fonts

Source: http://sofia.nmsu.edu/~mleisher/Software/%{name}/%{name}-%{version}.tgz
Source1: otf2bdf-CP1250.map
Source2: otf2bdf-CP852.map
Source3: otf2bdf-CP895.map
Source4: otf2bdf-CP895cezar.map
Source5: otf2bdf-ISO8859-2.map
Patch: otf2bdf-mkinstalldirs.patch
BuildRequires: freetype-devel
Requires: freetype

%description
otf2bdf is a command line utility that uses the FreeType 2 font rendering library
to generate BDF bitmap fonts from OpenType outline fonts at different sizes and
resolutions. This program is essentially the same as the ttf2bdf program except
that it uses FreeType 2.*, not FreeType 1.*, has some bug fixes, and includes a
new command line parameter to print out the available encoding tables in the font.

The ttf2bdf program is included as part of the Freetype 1.* distribution in the
/contrib/ttf2bdf/ subdirectory. 
Author: Mark Leisher

%prep
%setup -q
%patch -p1

%build
%configure
make

%install
#make install DESTDIR=$RPM_BUILD_ROOT
%makeinstall
mkdir -p maps
install -m 644 %{SOURCE1} maps/cp1250
install -m 644 %{SOURCE2} maps/cp852
install -m 644 %{SOURCE3} maps/cp895
install -m 644 %{SOURCE4} maps/cp895cezar
install -m 644 %{SOURCE5} maps/iso8859-2
# install -m 644 maps/* %{buildroot}%{_docdir}/%{name}-%{version}/maps

%files
%defattr(-, root, root, 0755)
%doc README
%doc maps/
%doc %{_mandir}/man1/otf2bdf.1*
%{_bindir}/otf2bdf

%changelog
* Sat Jul 02 2011 Franta Hanzlik <franta@hanzlici.cz> - 3.1-1
- Initial build for Fedora 14.
